Get Source Shipping Methods
get
https://api.flxpoint.com/shipping/source-shipping-methodsUse this when you want to pull shipping data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
<b>NOTE</b>: The `shippingCarrier` and `shippingCarrierMethod` fields are now deprecated.
To get the associated shipping carrier(s) and/or shipping carrier method(s), use the array versions named `shippingCarriers` and `shippingCarrierMethods` instead.
Request
Query parameters
filterSourceIdqueryintegerID of Source
filterSourceShippingMethodIdsquerystringList of source shipping method Ids separated by a comma
filterShippingPolicyIdqueryintegerID of shipping policy, use this to filter shipping methods by specific shipping policy
Example request
get
/shipping/source-shipping-methodscurl -X GET "https://api.flxpoint.com/shipping/source-shipping-methods" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
array[SourceShippingMethod]
idintegersourceIdintegerdescriptionstringcarrierstringmethodstringshippingCodestringdeprecatedDeprecated. Use `defaultMethodCode` instead.
shippingPolicyobjectidintegernamestringrequireddeletedAtstring (date-time)deletedAtstring (date-time)shippingCarrierobjectidintegernamestringhandlestringshipEngineSupportedbooleanshippingCarrierMethodobjectidintegershippingCarrierobjectidintegernamestringhandlestringshipEngineSupportedbooleannamestringhandlestringshippingLabelCodestringIt is used to specify the preferred Delivery Service during the purchase of a shipping label when a Fulfillment Request is not rate shopped
defaultCarrierCodestringThe code (text) that your source recognizes for this shipping carrier.
defaultMethodCodestringFormally known as "Shipping Code". The code (text) that your source recognizes for this shipping method.
overrideDefaultCodesbooleanUse codes provided by ShipEngine to send to your source based on the carrier and method with the best shipping rate.
default
falsefilterCarriersAndMethodsbooleanFilter to include only some carriers and methods you've connected to ShipEngine.
default
falseshippingCarriersarray[ShippingCarrier]When filtering shipping carriers and methods (i.e. filterCarriersAndMethods = true), this is the list of eligible shipping carriers that may be used for shipping.
<b>Note:</b> When filterCarriersAndMethods = false, this list will be empty, but <b>all</b> carriers will be considered for rate shopping.
idintegernamestringhandlestringshipEngineSupportedbooleanshippingCarrierMethodsarray[ShippingCarrierMethod]When filtering shipping carriers and methods (i.e. filterCarriersAndMethods = true), this is the list of eligible methods that may be used for shipping.
<b>Note:</b> When filterCarriersAndMethods = false, this list will be empty, but <b>all</b> methods for all carriers will be considered for rate shopping.
idintegershippingCarrierobjectidintegernamestringhandlestringshipEngineSupportedbooleannamestringhandlestringuseBestFitPackagebooleanUse Flxpoint's predefined package sizes to fit all PO/FR line items in a single package. The largest box possible will be used for oversized PO/FRs.
When false, package sizes must be configured for eligibility during rate shopping. You may select any number of common packages and/or use your own custom packages.
default
truecommonPackagesarray[CommonPackage]This will contain the <b>standard</b> package selections enabled for use with this shipping method when configured to use specific packages for shipping, rather than Flxpoint's predefined "Best Fit" package sizes (i.e. useBestFitPackage = false).
<b>Note:</b> When useBestFitPackage = true, this list will be empty, and Flxpoint's predefined list of packages will be considered instead.
idintegerA unique, numerical identifier for the package.
lengthnumberThe length dimension of the package.
widthnumberThe width dimension of the package.
heightnumberThe height dimension of the package.
dimensionUnitobjecthandlestringallowed
inchcentimeterabbreviatedHandlestringallowed
incmweightnumberThe weight of the package itself (excluding any contents).
weightUnitobjecthandlestringallowed
poundouncegramkilogramabbreviatedHandlestringallowed
lbozgkgcustomPackagesarray[CustomPackage]This will contain the <b>unique</b> package selections enabled for use with this shipping method when configured to use specific packages for shipping, rather than Flxpoint's predefined "Best Fit" package sizes (i.e. useBestFitPackage = false).
<b>Note:</b> When useBestFitPackage = true, this list will be empty, and Flxpoint's predefined list of packages will be considered instead.
idintegerA unique, numerical identifier for the package.
namestringYour name for the package.
lengthnumberThe length dimension of the package.
widthnumberThe width dimension of the package.
heightnumberThe height dimension of the package.
dimensionUnitobjecthandlestringallowed
inchcentimeterabbreviatedHandlestringallowed
incmweightnumberThe weight of the package itself (excluding any contents).
weightUnitobjecthandlestringallowed
poundouncegramkilogramabbreviatedHandlestringallowed
lbozgkgcreatedAtstring (date-time)The time that the package was created by an account user.
createdByUserEmailstringThe email address of the user who created the package.
updatedAtstring (date-time)The last time the package details were modified (will be null if never changed).
Example response
[
{
"id": 0,
"sourceId": 0,
"description": "string",
"carrier": "string",
"method": "string",
"shippingCode": "string",
"shippingPolicy": {
"id": 0,
"name": "string",
"deletedAt": "2026-04-20T00:00:00Z"
},
"deletedAt": "2026-04-20T00:00:00Z",
"shippingCarrier": {
"id": 0,
"name": "string",
"handle": "string",
"shipEngineSupported": true
},
"shippingCarrierMethod": {
"id": 0,
"shippingCarrier": {
"id": 0,
"name": "string",
"handle": "string",
"shipEngineSupported": true
},
"name": "string",
"handle": "string"
},
"shippingLabelCode": "string",
"defaultCarrierCode": "string",
"defaultMethodCode": "string",
"overrideDefaultCodes": true,
"filterCarriersAndMethods": true,
"shippingCarriers": [
{
"id": 0,
"name": "string",
"handle": "string",
"shipEngineSupported": true
}
],
"shippingCarrierMethods": [
{
"id": 0,
"shippingCarrier": {
"id": null,
"name": null,
"handle": null,
"shipEngineSupported": null
},
"name": "string",
"handle": "string"
}
],
"useBestFitPackage": true,
"commonPackages": [
{
"id": 0,
"length": 0,
"width": 0,
"height": 0,
"dimensionUnit": {
"handle": null,
"abbreviatedHandle": null
},
"weight": 0,
"weightUnit": {
"handle": null,
"abbreviatedHandle": null
}
}
],
"customPackages": [
{
"id": 0,
"name": "string",
"length": 0,
"width": 0,
"height": 0,
"dimensionUnit": {
"handle": null,
"abbreviatedHandle": null
},
"weight": 0,
"weightUnit": {
"handle": null,
"abbreviatedHandle": null
},
"createdAt": "2026-04-20T00:00:00Z",
"createdByUserEmail": "string",
"updatedAt": "2026-04-20T00:00:00Z"
}
]
}
]401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Get Source Shipping Methods",
"description": "<b>NOTE</b>: The `shippingCarrier` and `shippingCarrierMethod` fields are now deprecated. \n\nTo get the associated shipping carrier(s) and/or shipping carrier method(s), use the array versions named `shippingCarriers` and `shippingCarrierMethods` instead.",
"parameters": [
{
"schema": {
"type": "integer"
},
"in": "query",
"name": "filterSourceId",
"description": "ID of Source"
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "filterSourceShippingMethodIds",
"description": "List of source shipping method Ids separated by a comma"
},
{
"schema": {
"type": "integer"
},
"in": "query",
"name": "filterShippingPolicyId",
"description": "ID of shipping policy, use this to filter shipping methods by specific shipping policy"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/SourceShippingMethod"
}
}
}
}
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight